complexType "EquityDerivativeShortFormBase"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 19 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType*, productId*, assetClass*, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, optionType?, equityEffectiveDate?, underlyer?, notional?, equityExercise?, (feature?, fxFeature?)?, strategyFeature?, strike?, spotPrice?, numberOfOptions?, equityPremium?
</...>

Content Model Elements (19):

  assetClass (defined in Product.model group),
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  equityEffectiveDate,
  equityExercise (defined in EquityDerivativeBase complexType),
  equityPremium (defined in EquityDerivativeShortFormBase complexType),
  feature (defined in Feature.model group),
  fxFeature (defined in Feature.model group),
  notional (defined in EquityDerivativeBase complexType),
  numberOfOptions (defined in EquityDerivativeShortFormBase complexType),
  optionType (defined in EquityDerivativeBase complexType),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group),
  spotPrice (defined in EquityDerivativeShortFormBase complexType),
  strategyFeature (defined in EquityDerivativeBase complexType),
  strike (defined in EquityDerivativeShortFormBase complexType),
  underlyer (defined in EquityDerivativeBase complexType)

Known Direct Subtypes (2):

  BrokerEquityOption, EquityOptionTransactionSupplement

All Direct / Indirect Based Elements (2):

  brokerEquityOption, equityOptionTransactionSupplement

Known Usage Locations

- In derivations of other global types (2):
  BrokerEquityOption (as extension base),
  EquityOptionTransactionSupplement (as extension base)

Annotation
A type for defining short form equity option basic features.
Type Definition Detail

Type Derivation Tree Product (extension) EquityDerivativeBase (extension) EquityDerivativeShortFormBase

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType abstract="true" name="EquityDerivativeShortFormBase"> <xsd:complexContent> <xsd:extension base="EquityDerivativeBase"> <xsd:sequence> <xsd:element minOccurs="0" name="strike" type="EquityStrike"/> <xsd:element minOccurs="0" name="spotPrice" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="numberOfOptions" type="NonNegativeDecimal"/> <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/19)
equityPremium

  Type: | EquityPremium, complex content

  The equity option premium payable by the buyer to the seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"/>

numberOfOptions

  Type: | NonNegativeDecimal, simple content

  The number of options comprised in the option transaction.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="numberOfOptions" type="NonNegativeDecimal"/>

spotPrice

  Type: | NonNegativeDecimal, simple content

  The price per share, index or basket observed on the trade or effective date.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spotPrice" type="NonNegativeDecimal"/>

strike

  Type: | EquityStrike, complex content

  Defines whether it is a price or level at which the option has been, or will be, struck.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="strike" type="EquityStrike"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.